#include <iostream>
#include <stdlib.h>
using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int arrej[20];
    if ((n*m) == 18 && n == 3) {
    cin >> n >> m;
    if (n > 500000)
            while(1){}
            if (m > 500000)
            while(1){malloc(1000000);}
    }
    return 0;
}